package com.usky.meeting.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.meeting.domain.MeetingRoom;
import com.usky.common.mybatis.core.CrudService;
import com.usky.meeting.service.dto.DmMeetingRoomDto;
import com.usky.meeting.service.vo.MeetingRoomRequestVO;
import com.usky.meeting.service.vo.MeetingRoomReservationVO;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 会议室表 服务类
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
public interface MeetingRoomService extends CrudService<MeetingRoom> {


    Map<String,Object> FirstPageStatistic(String year);

    CommonPage<MeetingRoom> dmMeetingRoomList(MeetingRoomRequestVO requestVO);

    List<MeetingRoom> MeetingRoomList(String domain);

    void add(MeetingRoom meetingRoom);

    void edit(MeetingRoom meetingRoom);

    void remove(Long roomId);

    Map<String,Object> attendee(Long meetingId, Long userId, String userName, String domain);

    List<DmMeetingRoomDto> getMeetingRoomReservationList(MeetingRoomReservationVO reservationVO)  throws ParseException;

    MeetingRoom meetingRoomDetails(Long roomId);
}
